%define upstream_name    Dist-Zilla-Plugin-Mercurial
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check for modified/removed/unknown files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildArch: noarch


%description
This plugin provides Mercurial support for the Dist::Zilla manpage.
Currently, it supports checking that the working copy is clean before
release, tagging, and pushing changes to the remote. The tag plugin also
checks before tagging to make sure that the tag it wants to use is unique.

Currently, this plugin does not support committing, so it won't play nice
with plugins that make changes to the working copy before release. Patches
are welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 511085
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 366270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 40471
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Mercurial

